Bug 109980 - Xcin unable to load 16 point fonts in UTF-8 locales
Xcin unable to load 16 point fonts in UTF-8 locales
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xcin (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Leon Ho
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 12:09 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-01 01:00:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-13 12:09:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
In zh_TW.UTF-8 and other UTF-8 locales, under OverTheSpot or OnTheSpot
input modes, xcin uses the default 24 point fonts. Changing the server
to work with 16 point fonts results in xcin not finding the required
fonts, even when these fonts are installed.

Under zh_TW.Big5 there are no problems and the 16 point fonts load.

Version-Release number of selected component (if applicable):
xcin-2.5.3.pre3-17

How reproducible:
Always

Steps to Reproduce:
1.Change locale to zh_TW.UTF8
2.Change default font filter for zh_TW.UTF-8 to 16 point
3.Start xcin
    

Actual Results:  Xcin ends with an error stating that it cannot find
any fonts

Expected Results:  Xcin should start and run without problems

Additional info:

It would also be great if OnTheSpot is supported by the default xcinrc
(GTK2 applications do not support OverTheSpot). What is the status of
adding (the free portions of) SCIM to fedora?
Comment 1 Need Real Name 2003-11-13 12:10:47 EST
In step two to reproduce the bug, the default font filter for
zh_TW.UTF-8 is in the xcinrc file.
Comment 2 Leon Ho 2004-04-01 01:00:57 EST
Can you check with latest xcin in rawhide? It also has onthespot
support now.

Note You need to log in before you can comment on or make changes to this bug.